> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a time-off policy

> A single time-off policy with the ids of the employees currently assigned to it, or null when no such policy exists. Requires the `policies:config:read` scope.



## OpenAPI

````yaml /openapi.json get /policies/{id}
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /policies/{id}:
    get:
      tags:
        - Policies
      summary: Get a time-off policy
      description: >-
        A single time-off policy with the ids of the employees currently
        assigned to it, or null when no such policy exists. Requires the
        `policies:config:read` scope.
      operationId: policies.get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      organization_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                      accrual_cycle_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                      activity_type:
                        enum:
                          - not_working_paid
                          - not_working_unpaid
                          - working
                        type: string
                      allowance_entitlement:
                        enum:
                          - base_annual_allowance
                          - unlimited
                        type: string
                      annual_allowance:
                        type: integer
                      balance_rounding:
                        enum:
                          - nearest
                          - round_up
                        type: string
                      color:
                        enum:
                          - cyan
                          - sky
                          - blue
                          - indigo
                          - pink
                          - rose
                          - red
                          - lime
                          - green
                          - emerald
                          - teal
                          - purple
                          - violet
                          - yellow
                          - orange
                          - amber
                          - gray
                          - zinc
                        type: string
                      country_code:
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BF
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                        type: string
                      deductible_days:
                        enum:
                          - any_day
                          - any_day_excluding_holidays
                          - workdays_only
                        type: string
                      description:
                        type: string
                      effective_date:
                        type: string
                      is_active:
                        type: boolean
                      is_approval_required:
                        type: boolean
                      is_request_note_mandatory:
                        type: boolean
                      max_carryover_days:
                        anyOf:
                          - type: integer
                          - type: 'null'
                      name:
                        type: string
                      notice_period:
                        anyOf:
                          - enum:
                              - days
                              - weeks
                              - months
                            type: string
                          - type: 'null'
                      notice_period_count:
                        anyOf:
                          - type: integer
                          - type: 'null'
                      precision:
                        enum:
                          - one_decimal_place
                          - two_decimal_places
                          - half
                          - whole_number
                        type: string
                      request_attachment_requirement:
                        enum:
                          - none
                          - optional
                          - mandatory
                        type: string
                      shortest_request_amount:
                        enum:
                          - half_day
                          - day
                        type: string
                      document_template_id:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      approval_document_template_id:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      decline_document_template_id:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      created_at:
                        type: string
                        format: date-time
                        x-native-type: date
                      updated_at:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      employee_ids:
                        type: array
                        items:
                          type: string
                          format: uuid
                    required:
                      - id
                      - organization_id
                      - accrual_cycle_id
                      - activity_type
                      - allowance_entitlement
                      - annual_allowance
                      - balance_rounding
                      - color
                      - country_code
                      - deductible_days
                      - description
                      - effective_date
                      - is_active
                      - is_approval_required
                      - is_request_note_mandatory
                      - max_carryover_days
                      - name
                      - notice_period
                      - notice_period_count
                      - precision
                      - request_attachment_requirement
                      - shortest_request_amount
                      - document_template_id
                      - approval_document_template_id
                      - decline_document_template_id
                      - created_at
                      - updated_at
                      - employee_ids
                  - type: 'null'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````